# 可信增强
TrustAI提供基于证据分析结果增强模型的示例，我们在该目录下介绍通用的增强方法，以及针对具体任务的一些有效方案，希望这些方案能够帮助开发者对其他任务模型进行增强。

* [证据分析用于相似度计算任务](#证据分析用于相似度计算任务)

## 证据分析用于相似度计算任务
### 方法介绍
在相似度计算中，我们基于证据分析结果识别模型预测困难数据，针对困难数据生成强正负例，然后通过数据增强方法提升模型的效果。首先，如何用证据分析结果识别困难数据呢？

我们依赖证据一致性评估指标MAP，该指标评估句对中词重要度排序的一致性。若两个句子语义相似，则它们的证据一致性也较高。基于该假设，我们认为模型判断为相似但MAP指标低的句对，可能是潜在预测错误数据。基于此规则对模型预测数据进行过滤，就可以获得大量模型处理不好的数据，通过对这类数据的人工标注，以及加入训练数据，可以提升模型在这类数据傻姑娘的效果。通过证据分析识别困难数据，有效识别应该标注的训练数据，降低标注成本，提升模型鲁棒性。

### 方法效果

我们使用LCQMC数据集做了实验验证。其中，相似度计算模型是基于ERNIE-1.0微调，MAP指标阈值设为0.3，识别出3.4%困难数据，相比于模型在全量数据上效果，模型在该类数据上效果下降了9.67%。

|   数据集   | acc    |
| :-------:  | :-----: |
| 全部数据   | 89.53% |
| 困难数据 | 79.86% |

基于困难数据，自动生成强正负例，通过数据增强方式重训模型，模型在该类数据上准确率提升7%。

应用的详细示例见[tutorials](../../tutorials/application/zh-similarity-application.ipynb)。
